JavaSerialization (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io.serializer
Class JavaSerialization

    java.lang.Object
      org.apache.hadoop.io.serializer.JavaSerialization

All Implemented Interfaces:
  Serialization<Serializable>

    public class JavaSerialization

extends Object
implements Serialization<Serializable>

An experimental `Serialization` for Java `Serializable` classes.

See Also:
  `JavaSerializationComparator`

Constructor Summary
`JavaSerialization()`

Method Summary
`boolean` | `accept(Class<?> c)` Allows clients to test whether this `Serialization` supports the given class.
`Deserializer<Serializable>` | `getDeserializer(Class<Serializable> c)`
`Serializer<Serializable>` | `getSerializer(Class<Serializable> c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaSerialization

    public JavaSerialization()

Method Detail

### accept

    public boolean accept(Class<?> c)

  Description copied from interface: `Serialization`
  Allows clients to test whether this `Serialization` supports the given class.

  Specified by:
    `accept` in interface `Serialization<Serializable>`

### getDeserializer

    public Deserializer<Serializable> getDeserializer(Class<Serializable> c)

  Specified by:
    `getDeserializer` in interface `Serialization<Serializable>`
  Returns:
    a `Deserializer` for the given class.

### getSerializer

    public Serializer<Serializable> getSerializer(Class<Serializable> c)

  Specified by:
    `getSerializer` in interface `Serialization<Serializable>`
  Returns:
    a `Serializer` for the given class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation